Bug 145508 - [PATCH] wx-config misreports cflags
[PATCH] wx-config misreports cflags
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wxGTK (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-18 23:16 EST by Rick L Vinyard Jr
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.4.2-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-23 14:40:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Candidate fix (2.29 KB, patch)
2005-01-23 10:44 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Rick L Vinyard Jr 2005-01-18 23:16:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
wx-config is not reporting proper cflags for x86_64.

The output of:
wx-config --cflags

is:
-I/usr/lib/wx/include/gtk2-2.4 -DGTK_NO_CHECK_CASTS -D__WXGTK__
-D_FILE_OFFSET_BITS=64 -D_LARGE_FILES

and should be:
-I/usr/lib64/wx/include/gtk2-2.4 -DGTK_NO_CHECK_CASTS -D__WXGTK__
-D_FILE_OFFSET_BITS=64 -D_LARGE_FILES

which is where wx's setup.h can be found.

Version-Release number of selected component (if applicable):
wxGTK2-devel-2.4.2-7

How reproducible:
Always

Steps to Reproduce:
1. Install wxGTK2-devel
2. Run wx-config
3.
    

Additional info:
Comment 1 Ville Skyttä 2005-01-23 10:44:37 EST
Created attachment 110105 [details]
Candidate fix

I don't have a x86_64 box to test with, but I guess applying this patch to the
specfile and rebuilding would fix this.  Could you try it out and report how it
goes?
Comment 2 Rick L Vinyard Jr 2005-01-23 14:20:25 EST
Looks good. I applied against the CVS spec file and rebuilt. Even dependent
libraries build now.
Comment 3 Ville Skyttä 2005-01-23 14:40:02 EST
Thanks.  This fix will be included in the next wxGTK build in pre-extras.

Note You need to log in before you can comment on or make changes to this bug.